Freeciv-3.1: propval_data Union Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
propval_data Union Reference

## Data Fields

gpointer | v_pointer
int | v_int
bool | v_bool
char * | v_string
const char * | v_const_string
GdkPixbuf * | v_pixbuf
struct built_status * | v_built
bv_max_extras | v_bv_special
bv_max_extras | v_bv_roads
bv_max_extras | v_bv_bases
struct nation_type * | v_nation
struct nation_hash * | v_nation_hash
struct government * | v_gov
bv_techs | v_bv_inventions
struct tile_vision_data * | v_tile_vision

## Detailed Description

Definition at line 224 of file editprop.c.

## Field Documentation

## ◆ v_bool

bool propval_data::v_bool

Definition at line 227 of file editprop.c.

Referenced by objbind_get_value_from_object(), objbind_pack_modified_value(), objprop_refresh_widget(), objprop_widget_toggle_button_changed(), propval_as_string(), propval_copy(), and propval_equal().

## ◆ v_built

struct built_status * propval_data::v_built

Definition at line 231 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_view_cell_toggled(), objbind_get_value_from_object(), objbind_pack_modified_value(), propval_as_string(), and propval_equal().

## ◆ v_bv_bases

bv_max_extras propval_data::v_bv_bases

Definition at line 234 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_view_cell_toggled(), objbind_get_value_from_object(), objbind_pack_modified_value(), propval_as_string(), propval_copy(), and propval_equal().

## ◆ v_bv_inventions

bv_techs propval_data::v_bv_inventions

Definition at line 238 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_view_cell_toggled(), objbind_get_value_from_object(), objbind_pack_modified_value(), propval_as_string(), propval_copy(), and propval_equal().

## ◆ v_bv_roads

bv_max_extras propval_data::v_bv_roads

Definition at line 233 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_view_cell_toggled(), objbind_get_value_from_object(), objbind_pack_modified_value(), propval_as_string(), propval_copy(), and propval_equal().

## ◆ v_bv_special

bv_max_extras propval_data::v_bv_special

Definition at line 232 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_view_cell_toggled(), objbind_get_value_from_object(), objbind_pack_modified_value(), propval_as_string(), propval_copy(), and propval_equal().

## ◆ v_const_string

const char * propval_data::v_const_string

Definition at line 229 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_textbuf_changed(), objbind_get_value_from_object(), objbind_pack_modified_value(), objprop_widget_entry_changed(), objprop_widget_text_changed(), propval_as_string(), and propval_equal().

## ◆ v_gov

struct government * propval_data::v_gov

Definition at line 237 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_view_cell_toggled(), objbind_get_value_from_object(), objbind_pack_modified_value(), property_page_set_store_value(), propval_as_string(), propval_copy(), and propval_equal().

## ◆ v_int

int propval_data::v_int

Definition at line 226 of file editprop.c.

Referenced by objbind_get_value_from_object(), objbind_pack_modified_value(), objprop_refresh_widget(), objprop_widget_spin_button_changed(), property_page_set_store_value(), propval_as_string(), propval_copy(), and propval_equal().

## ◆ v_nation

struct nation_type * propval_data::v_nation

Definition at line 235 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_view_cell_toggled(), objbind_get_value_from_object(), objbind_pack_modified_value(), property_page_set_store_value(), propval_as_string(), propval_copy(), and propval_equal().

## ◆ v_nation_hash

struct nation_hash * propval_data::v_nation_hash

Definition at line 236 of file editprop.c.

Referenced by extviewer_refresh_widgets(), extviewer_view_cell_toggled(), objbind_get_value_from_object(), objbind_pack_modified_value(), propval_as_string(), propval_copy(), propval_equal(), and propval_free_data().

## ◆ v_pixbuf

GdkPixbuf * propval_data::v_pixbuf

Definition at line 230 of file editprop.c.

Referenced by objbind_get_value_from_object(), objprop_refresh_widget(), property_page_set_store_value(), propval_copy(), propval_equal(), and propval_free_data().

## ◆ v_pointer

gpointer propval_data::v_pointer

Definition at line 225 of file editprop.c.

Referenced by propval_copy(), propval_equal(), and propval_free_data().

## ◆ v_string

char * propval_data::v_string

Definition at line 228 of file editprop.c.

Referenced by objbind_get_value_from_object(), objbind_pack_modified_value(), objprop_refresh_widget(), property_page_set_store_value(), and propval_copy().

## ◆ v_tile_vision

struct tile_vision_data * propval_data::v_tile_vision

Definition at line 239 of file editprop.c.

Referenced by extviewer_refresh_widgets(), objbind_get_value_from_object(), propval_copy(), and propval_equal().